%% distortion example
% Distortion is a systematic variation of magnification with position
% 
% $$m = 1 + d r^2$$
% 
% where _d_ is the fractional distortion.


%% original image

rgb = imread('09.jpg');
imshow(rgb);

%% barrel distortion

out = distort(rgb,-0.15);
imshow(out);

%% pincushion distortion

out = distort(rgb, 0.15);
imshow(out);